
c
c	>>>>>>>>>>>>>>>>>>>>>>>>>>>>>><<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
	subroutine firstABQ( DFGRD0, STRAN1, STRESS, STATEV, TEMP
     &			, PROPS, NOEL, NSTATV, NPROPS, CMNAME, i6 )
	implicit none
c       ::::  Arguments of UMAT
	integer NPROPS, NSTATV, NTENS
	parameter(ntens=6)
	CHARACTER*8 CMNAME
	real*8 STRESS(NTENS),STATEV(NSTATV),
     1  DDSDDE(NTENS,NTENS),STRAN1(NTENS),DSTRAN(NTENS),
     2  TIM(2),PROPS(NPROPS),DROT(3,3),DFGRD0(3,3),DFGRD1(3,3)
	real*8 PNEWDT, DTIME, STRESS1(NTENS), tmp, q(4), angl
	real*8 TEMP, DTEMP
	integer NOEL, NPT, LAYER, KSTEP, KINC
	integer i, j, idir
	integer*4 i6(3,3)
	character*2 code

	return
	end
c
c	>>>>>>>>>>>>>>>>>>>>>>>>>>>>>><<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
	subroutine prepBC_F( DF, i9, nincr, nstress, istress
     &				, DTIME, F0, F_end, i6 )
	implicit none
	real*8 F0(3,3), F_end(3,3), DF(3,3), DTIME
	integer i, j, nincr
	integer*4 i9(3,3), i6(3,3), prescdef(3,3), nstress
	logical istress(6)

	return
	end
c	>>>>>>>>>>>>>>>>>>>>>>>>>>>>>><<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
	subroutine prepBC_L( L0, prescdef, nincr, nstress, istress
     &				, DTIME, defo, def0, idg, i6 )
	implicit none
	real*8 L0(3,3), L_sa(3,3), defo, def0, DTIME
	integer i, j, idg, nincr, kstep
	integer*4 prescdef(3,3), i6(3,3), nstress
	logical istress(6)

	return
	end
c
c	>>>>>>>>>>>>>>>>>>>>>>>>>>>>>><<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
	subroutine prepUM_L( DROT, F1, L, F0 )
	implicit none
	real*8 DF(3,3), F0(3,3), F1(3,3), L(3,3), De(6), DROT(3,3)
	real*8 omega(3), tmp, angle, q(4), si
	integer*4 i, j, k
	

	return
	end
c
c	************************************************
c	***  Converts quaternion into rotation matrix
c	************************************************
	Subroutine Kq4_mat( q, mat )
	implicit none
	real*8 q(4), mat(3,3), tmp1, tmp2
	integer i,j

	return
	end
c
c	>>>>>>>>>>>>>>>>>>>>>>>>>>>>>><<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
	subroutine prepUM_F( DROT, L, Finv, F1, DF, F0 )
	implicit none
	real*8 DF(3,3), F0(3,3), F1(3,3), L(3,3), DROT(3,3)
	real*8 tmp, Finv(3,3), mat(3,3), mat2(3,3)
	logical last
	integer*4 i, j, k, ll

	return
	end
c
c	>>>>>>>>>>>>>>>>>>>>>>>>>>>>>><<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
	subroutine call_UM( DSTRAN1, DROT, DFGRD1, STRESS, DDSDDE
     &			, DFGRD0, STRAN1, STRESS1, STATEV
     &			, TEMP, DTEMP
     &			, TIM, DTIME, PROPS, NSTATV, NPROPS
     &			, KSTEP, KINC, NOEL, NPT, LAYER
     &			, PNEWDT, CMNAME, i6 )
	implicit none
c       ::::  Arguments of UMAT
	integer ntens, mxstatv
	parameter(ntens=6,mxstatv=200000)
	integer NPROPS, NSTATV
	CHARACTER*8 CMNAME
	real*8 STRESS(NTENS),STATEV(NSTATV),
     1  DDSDDE(NTENS,NTENS),DDSDDT(NTENS),DRPLDE(NTENS),
     2  STRAN(NTENS),DSTRAN(NTENS),TIM(2),PREDEF(1),DPRED(1),
     3  PROPS(NPROPS),COORDS(3),DROT(3,3),
     4  DFGRD0(3,3),DFGRD1(3,3)
	real*8 SSE, SPD, SCD, RPL, DTIME, TEMP, CELENT, DRPLDT
	real*8 PNEWDT, DTEMP
	integer NDI, NSHR, NOEL, NPT, LAYER, KSPT, KSTEP, KINC
	logical last
c	:::: Other variables
	real*8 STRAN1(6), STRESS1(6), DSTRAN1(6), STATEV1(MXSTATV)
	integer i, j
	integer*4 i6(3,3)

	return
	end
c
c	>>>>>>>>>>>>>>>>>>>>>>>>>>>>>><<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
	subroutine prepNR_L( NR, DDSDDE, stress, istress )
	implicit none
	real*8 NR(6,6), DDSDDE(6,6), stress(6), dsdw(6,3)
	integer i, j
	logical istress(6)

c
	return
	end
c
c	>>>>>>>>>>>>>>>>>>>>>>>>>>>>>><<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
	subroutine prepNR_F( dSdF, L_sa, Finv, stress, ddsdde
     &				, istress, i9, i6 )
	implicit none
	real*8 dSdF(6,6), L_sa(3,3), Finv(3,3), stress(6), ddsdde(6,6)
	real*8 tmp, tmp2, dSdW(6,3), dSdL(3,3)
	integer i, j, k, l, m, n
	integer*4 i9(3,3), i6(3,3)
	logical istress(6)

	return
	end
c
c	>>>>>>>>>>>>>>>>>>>>>>>>>>>>>><<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
	subroutine solve_NR( Misf, dX, ksi, NR, BB, dX_mx, Misf1
     &				, dMdksi, idNR, isol, n, nmax )
	implicit none
	integer isol, n, nmax, npi
	real*8 Misf, dX(nmax), NR(nmax,nmax), BB(nmax), dX_mx(nmax)
	real*8 Misf1, Misf11, Misf12, dMdksi, det, tmp, tmp2, ksi
	integer*4 idNR(nmax)
	integer i, j
	logical forceNR, nochk

	return
	end
c
c	>>>>>>>>>>>>>>>>>>>>>>>>>>>>>><<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
	subroutine postNR_L( L, dX, ksi, L0, prescdef, i6 )
	implicit none
	real*8 L(3,3), L0(3,3), De(6), dX(6), tmp, ksi
	integer*4 prescdef(3,3), i6(3,3), i, j

	return
	end
c
c	>>>>>>>>>>>>>>>>>>>>>>>>>>>>>><<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
	subroutine postNR_F( DF, dX, ksi, i9 )
	implicit none
	real*8 DF(3,3), dX(6), ksi, tmp
	integer*4 i9(3,3), i, j

	end
c
c	>>>>>>>>>>>>>>>>>>>>>>>>>>>>>><<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
	subroutine mkfij( L, F )
	implicit none
	real*8 L(3,3), A(3,3), F(3,3), X(3,3), DG(3,3)
	real*8 x1(3,3)
	integer i, j, k, ndeg

	end
c
c	>>>>>>>>>>>>>>>>>>>>>>>>>>>>>><<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
	subroutine prod( C, A, B )
	implicit none
	real*8 C(3,3), B(3,3), A(3,3), x
	integer i, j, k

	return
	end
c
c	*******************************************************
c	*** LU decomposition of square matrix
c	*******************************************************
	SUBROUTINE LUDCMP(A,INDX,D,N,NP)
	implicit none
	integer n, np, nmax
	parameter(nmax=100)
	real*8 A(NP,NP),VV(nmax), D, tiny, dum
	real*8 AAMAX, SUM
	integer*4 INDX(NP), i, j, k, imax

	RETURN
	END

c
c	*******************************************************
c	*** Equation set solution after LU decomposition
c	*******************************************************
	SUBROUTINE LUBKSB(B,A,INDX,N,NP,NPI)
	implicit none
	integer n, np, npi
	real*8 A(NP,NP),B(NPI), sum
	integer*4 INDX(NP), ii, i, j, k, ll

	RETURN
	END
c
c	*******************************************************
c	*** Matrix inversion after LU decomposition
c	*******************************************************
	subroutine KinvLU( NR, idNR, N, NP )
	implicit none
	integer n, np, nmax
	parameter(nmax=100)
	real*8 NR(NP,NP), M(nmax,nmax)
	integer*4 idNR(NP), i, j

	return
	end
c
c	*******************************************************
c	*** Computes vonMises equivalent strain or stress
c	*******************************************************
	function vonmises( x, k )
	implicit none
	real*8 x(6), vonmises, tmp
	integer k, j
c

c
	return
	end
c
c	****************************************************
	subroutine KInv33( M, det )
	implicit none
	real*8 Mi(3,3), M(3,3), det
	integer*4 i, j, ii(3), jj(3)

	return
	end
c
c	****************************************************
c	/// Derive rotated sym tensor relative to the spin
	subroutine K_RDR_R( M, D0, fac, sq2 )
	implicit none
	real*8 M(6,3), D0(6), sq2, fac, D(6)
	integer i

	return
	end
c
c       ************************************************
	subroutine Krots3( rot, Dmat, D, i6 )
c       !! Rotation of a symmetric matrix
	implicit none
	real*8 tmp, rot(3,3), Dmat(6), D(6)
	integer*4 i, j, k, l, i6(3,3)

	return
	end
