//Fiber reinforced composite cross-section
Geometry.AutoCoherence= 0;
//defination of unit
unit = 1e-03;
//characteristic mesh size
cl = 1.0*unit;
h_x = 10.000000 * unit;
h_y = 10.000000 * unit;
h_z = 1.000000 * unit;
//defination of fibers line Loop list in zone 0
t=-1;
//defination of edge points and line
t=-1;
lt=-1;
mt=-1;
BoundXt0=-1;
BoundXt1=-1;
BoundYt0=-1;
BoundYt1=-1;
p0 = newp; Point(p0) = { 0.0 , 0.0 , 0.0 , cl}; 
p1 = newp; Point(p1) = { 2.601947 *unit, 2.384561 *unit, 0.0, cl};
p2 = newp; Point(p2) = { 0.000000 *unit, 3.865261 *unit, 0.0, cl};
p3 = newp; Point(p3) = { 0.000000 *unit, 0.903862 *unit, 0.0, cl};
p4 = newp; Point(p4) = { 0.791845 *unit, 0.000000 *unit, 0.0, cl};
p5 = newp; Point(p5) = { 4.412049 *unit, 0.000000 *unit, 0.0, cl};
p6 = newp; Point(p6) = { 4.718856 *unit, 4.501470 *unit, 0.0, cl};
c1 = newreg; Circle(c1) = {p3,p1,p4};
l1 = newreg; Line(l1) = {p4,p5};
c2 = newreg; Circle(c2) = {p5,p1,p6};
c3 = newreg; Circle(c3) = {p6,p1,p2};
l2 = newreg; Line(l2) = {p2,p3};
l3 = newreg; Line(l3) = {p3,p0};
l4 = newreg; Line(l4) = {p0,p4};
t=t+1;
edgloop[t] = newreg; Line Loop(edgloop[t]) = {c1,l1,c2,c3,l2};
edgsurface[t] = news;
Plane Surface(edgsurface[t]) = {edgloop[t]};
lt=lt+1;
mat_edge[lt] =  -1*c3;
lt=lt+1;
mat_edge[lt] =  -1*c2;
mat_conP = p5;
mat_endP = p2;
mt=mt+1;
matloop[mt] = newreg; Line Loop(matloop[mt]) = {l3,l4,-1*c1};
matsurface[mt] = news;
Plane Surface(matsurface[mt]) = {matloop[mt]};
BoundYt0 = BoundYt0+1;
Bound_Y0edge[BoundYt0] =  l4;
BoundYt0 = BoundYt0+1;
Bound_Y0edge[BoundYt0] =  l1;
BoundXt0 = BoundXt0+1;
Bound_X0edge[BoundXt0] =  l2;
BoundXt0 = BoundXt0+1;
Bound_X0edge[BoundXt0] =  l3;
p0 = newp; Point(p0) = { h_x , 0.0 , 0.0 , cl}; 
l1 = newreg; Line(l1) = {mat_conP,p0};
lt=lt+1;
mat_edge[lt] = l1;
mat_conP = p0;
BoundYt0 = BoundYt0+1;
Bound_Y0edge[BoundYt0] =  l1;
p1 = newp; Point(p1) = { 12.016360 *unit, 2.877200 *unit, 0.0, cl};
p2 = newp; Point(p2) = { 10.000000 *unit, 0.906647 *unit, 0.0, cl};
p3 = newp; Point(p3) = { 10.000000 *unit, 4.847753 *unit, 0.0, cl};
p4 = newp; Point(p4) = { 9.197001 *unit, 2.877200 *unit, 0.0, cl};
c1 = newreg; Circle(c1) = {p3,p1,p4};
c2 = newreg; Circle(c2) = {p4,p1,p2};
l1 = newreg; Line(l1) = {p2,p3};
t=t+1;
edgloop[t] = newreg; Line Loop(edgloop[t]) = {l1,c1,c2};
edgsurface[t] = news;
Plane Surface(edgsurface[t]) = {edgloop[t]};
l2 = newreg; Line(l2) = {mat_conP,p2};
lt=lt+1;
mat_edge[lt] =  l2;
lt=lt+1;
mat_edge[lt] =  -1*c2;
lt=lt+1;
mat_edge[lt] =  -1*c1;
mat_conP = p3;
BoundXt1 = BoundXt1+1;
Bound_X1edge[BoundXt1] =  l2;
BoundXt1 = BoundXt1+1;
Bound_X1edge[BoundXt1] =  l1;
p1 = newp; Point(p1) = { 7.433012 *unit, 6.698963 *unit, 0.0, cl};
p2 = newp; Point(p2) = { 10.000000 *unit, 5.073523 *unit, 0.0, cl};
p3 = newp; Point(p3) = { 10.000000 *unit, 8.324403 *unit, 0.0, cl};
p4 = newp; Point(p4) = { 4.394676 *unit, 6.698963 *unit, 0.0, cl};
c1 = newreg; Circle(c1) = {p3,p1,p4};
c2 = newreg; Circle(c2) = {p4,p1,p2};
l1 = newreg; Line(l1) = {p2,p3};
t=t+1;
edgloop[t] = newreg; Line Loop(edgloop[t]) = {l1,c1,c2};
edgsurface[t] = news;
Plane Surface(edgsurface[t]) = {edgloop[t]};
l2 = newreg; Line(l2) = {mat_conP,p2};
lt=lt+1;
mat_edge[lt] =  l2;
lt=lt+1;
mat_edge[lt] =  -1*c2;
lt=lt+1;
mat_edge[lt] =  -1*c1;
mat_conP = p3;
BoundXt1 = BoundXt1+1;
Bound_X1edge[BoundXt1] =  l2;
BoundXt1 = BoundXt1+1;
Bound_X1edge[BoundXt1] =  l1;
p0 = newp; Point(p0) = { h_x , h_y , 0.0 , cl}; 
l1 = newreg; Line(l1) = {mat_conP,p0};
lt=lt+1;
mat_edge[lt] = l1;
mat_conP = p0;
BoundXt1 = BoundXt1+1;
Bound_X1edge[BoundXt1] =  l1;
p0 = newp; Point(p0) = { 0.0 , h_y , 0.0 , cl}; 
l1 = newreg; Line(l1) = {mat_conP,p0};
lt=lt+1;
mat_edge[lt] = l1;
mat_conP = p0;
BoundYt1 = BoundYt1+1;
Bound_Y1edge[BoundYt1] =  l1;
p1 = newp; Point(p1) = { -1.828036 *unit, 6.953670 *unit, 0.0, cl};
p2 = newp; Point(p2) = { 0.000000 *unit, 9.239672 *unit, 0.0, cl};
p3 = newp; Point(p3) = { 0.000000 *unit, 4.667668 *unit, 0.0, cl};
p4 = newp; Point(p4) = { 1.098996 *unit, 6.953670 *unit, 0.0, cl};
c1 = newreg; Circle(c1) = {p3,p1,p4};
c2 = newreg; Circle(c2) = {p4,p1,p2};
l1 = newreg; Line(l1) = {p2,p3};
t=t+1;
edgloop[t] = newreg; Line Loop(edgloop[t]) = {l1,c1,c2};
edgsurface[t] = news;
Plane Surface(edgsurface[t]) = {edgloop[t]};
l2 = newreg; Line(l2) = {mat_conP,p2};
lt=lt+1;
mat_edge[lt] =  l2;
lt=lt+1;
mat_edge[lt] =  -1*c2;
lt=lt+1;
mat_edge[lt] =  -1*c1;
mat_conP = p3;
BoundXt0 = BoundXt0+1;
Bound_X0edge[BoundXt0] =  l2;
BoundXt0 = BoundXt0+1;
Bound_X0edge[BoundXt0] =  l1;
l1 = newreg; Line(l1) = {mat_conP,mat_endP};
BoundXt0 = BoundXt0+1;
Bound_X0edge[BoundXt0] =  l1;
lt=lt+1;
mat_edge[lt] = l1;
lineloop_matix = newreg;
Line Loop(lineloop_matix) = {mat_edge[]};
MaS=news;
Plane Surface(MaS) = {lineloop_matix};
my_fiberV[] = Extrude {0.0 , 0.0 , h_z} {Surface{edgsurface[]}; Layers{1}; Recombine;};
my_mtrixV[] = Extrude {0.0 , 0.0 , h_z} {Surface{MaS, matsurface[]}; Layers{1}; Recombine;};
Physical Volume(51) ={my_mtrixV[]};
Physical Volume(52) ={my_fiberV[]};
outX0[] = Extrude{ 0, 0, h_z}{ Line{Bound_X0edge[]};};
outX1[] = Extrude{ 0, 0, h_z}{ Line{Bound_X1edge[]};};
outY0[] = Extrude{ 0, 0, h_z}{ Line{Bound_Y0edge[]};};
outY1[] = Extrude{ 0, 0, h_z}{ Line{Bound_Y1edge[]};};
Physical Surface(100) = { outX0[] };
Physical Surface(101) = { outX1[] };
Physical Surface(110) = { outY0[] };
Physical Surface(111) = { outY1[] };
Physical Surface(120) = { edgsurface[], MaS, matsurface[]};
Constrain_z[] = Translate{0, 0, h_z}{ Duplicata{ Surface{edgsurface[], MaS, matsurface[]}; } };
Physical Surface(121) = { Constrain_z[]};
Physical Volume( 1001 ) ={ 1 };
Physical Volume( 1002 ) ={ 2 };
Physical Volume( 1003 ) ={ 3 };
Physical Volume( 1004 ) ={ 4 };

Physical Point(1)= {1};
//+
Physical Point(2) = {348};
//+
Physical Point(3) = {8};
//+
Physical Point(4) = {192};
//+
Physical Point(5) = {17};
//+
Physical Point(6) = {224};
//+
Physical Point(7) = {18};
//+
Physical Point(8) = {228};

Coherence;
