//Fiber reinforced composite cross-section
Geometry.AutoCoherence= 0;
//defination of unit
unit = 1e-3;
//characteristic mesh size
cl = 1.0*unit;
h_x = 25.000000 * unit;
h_y = 25.000000 * unit;
h_z = 1.000000 * unit;
//defination of fibers line Loop list in zone 0
t=-1;
p1 = newp; Point(p1) = { 18.615482 *unit, 21.331355 *unit, 0.0, cl};
p2 = newp; Point(p2) = { 15.725439 *unit, 21.331355 *unit, 0.0, cl};
p3 = newp; Point(p3) = { 18.615482 *unit, 18.441312 *unit, 0.0, cl};
p4 = newp; Point(p4) = { 21.505525 *unit, 21.331355 *unit, 0.0, cl};
p5 = newp; Point(p5) = { 18.615482 *unit, 24.221398 *unit, 0.0, cl};
c1 = newreg; Circle(c1) = {p2,p1,p3};
c2 = newreg; Circle(c2) = {p3,p1,p4};
c3 = newreg; Circle(c3) = {p4,p1,p5};
c4 = newreg; Circle(c4) = {p5,p1,p2};
t=t+1;
theloop[t] = newreg; Line Loop(theloop[t]) = {c1,c2,c3,c4};
thesurface[t] = news;
Plane Surface(thesurface[t]) = {theloop[t]};
p1 = newp; Point(p1) = { 18.750514 *unit, 15.465644 *unit, 0.0, cl};
p2 = newp; Point(p2) = { 15.783317 *unit, 15.465644 *unit, 0.0, cl};
p3 = newp; Point(p3) = { 18.750514 *unit, 12.498448 *unit, 0.0, cl};
p4 = newp; Point(p4) = { 21.717710 *unit, 15.465644 *unit, 0.0, cl};
p5 = newp; Point(p5) = { 18.750514 *unit, 18.432841 *unit, 0.0, cl};
c1 = newreg; Circle(c1) = {p2,p1,p3};
c2 = newreg; Circle(c2) = {p3,p1,p4};
c3 = newreg; Circle(c3) = {p4,p1,p5};
c4 = newreg; Circle(c4) = {p5,p1,p2};
t=t+1;
theloop[t] = newreg; Line Loop(theloop[t]) = {c1,c2,c3,c4};
thesurface[t] = news;
Plane Surface(thesurface[t]) = {theloop[t]};
p1 = newp; Point(p1) = { 12.654984 *unit, 16.695736 *unit, 0.0, cl};
p2 = newp; Point(p2) = { 9.697005 *unit, 16.695736 *unit, 0.0, cl};
p3 = newp; Point(p3) = { 12.654984 *unit, 13.737757 *unit, 0.0, cl};
p4 = newp; Point(p4) = { 15.612962 *unit, 16.695736 *unit, 0.0, cl};
p5 = newp; Point(p5) = { 12.654984 *unit, 19.653714 *unit, 0.0, cl};
c1 = newreg; Circle(c1) = {p2,p1,p3};
c2 = newreg; Circle(c2) = {p3,p1,p4};
c3 = newreg; Circle(c3) = {p4,p1,p5};
c4 = newreg; Circle(c4) = {p5,p1,p2};
t=t+1;
theloop[t] = newreg; Line Loop(theloop[t]) = {c1,c2,c3,c4};
thesurface[t] = news;
Plane Surface(thesurface[t]) = {theloop[t]};
p1 = newp; Point(p1) = { 7.813580 *unit, 20.275404 *unit, 0.0, cl};
p2 = newp; Point(p2) = { 5.101323 *unit, 20.275404 *unit, 0.0, cl};
p3 = newp; Point(p3) = { 7.813580 *unit, 17.563147 *unit, 0.0, cl};
p4 = newp; Point(p4) = { 10.525836 *unit, 20.275404 *unit, 0.0, cl};
p5 = newp; Point(p5) = { 7.813580 *unit, 22.987660 *unit, 0.0, cl};
c1 = newreg; Circle(c1) = {p2,p1,p3};
c2 = newreg; Circle(c2) = {p3,p1,p4};
c3 = newreg; Circle(c3) = {p4,p1,p5};
c4 = newreg; Circle(c4) = {p5,p1,p2};
t=t+1;
theloop[t] = newreg; Line Loop(theloop[t]) = {c1,c2,c3,c4};
thesurface[t] = news;
Plane Surface(thesurface[t]) = {theloop[t]};
p1 = newp; Point(p1) = { 18.751439 *unit, 5.008469 *unit, 0.0, cl};
p2 = newp; Point(p2) = { 15.785679 *unit, 5.008469 *unit, 0.0, cl};
p3 = newp; Point(p3) = { 18.751439 *unit, 2.042709 *unit, 0.0, cl};
p4 = newp; Point(p4) = { 21.717198 *unit, 5.008469 *unit, 0.0, cl};
p5 = newp; Point(p5) = { 18.751439 *unit, 7.974228 *unit, 0.0, cl};
c1 = newreg; Circle(c1) = {p2,p1,p3};
c2 = newreg; Circle(c2) = {p3,p1,p4};
c3 = newreg; Circle(c3) = {p4,p1,p5};
c4 = newreg; Circle(c4) = {p5,p1,p2};
t=t+1;
theloop[t] = newreg; Line Loop(theloop[t]) = {c1,c2,c3,c4};
thesurface[t] = news;
Plane Surface(thesurface[t]) = {theloop[t]};
p1 = newp; Point(p1) = { 13.935370 *unit, 9.370745 *unit, 0.0, cl};
p2 = newp; Point(p2) = { 10.935370 *unit, 9.370745 *unit, 0.0, cl};
p3 = newp; Point(p3) = { 13.935370 *unit, 6.370745 *unit, 0.0, cl};
p4 = newp; Point(p4) = { 16.935370 *unit, 9.370745 *unit, 0.0, cl};
p5 = newp; Point(p5) = { 13.935370 *unit, 12.370745 *unit, 0.0, cl};
c1 = newreg; Circle(c1) = {p2,p1,p3};
c2 = newreg; Circle(c2) = {p3,p1,p4};
c3 = newreg; Circle(c3) = {p4,p1,p5};
c4 = newreg; Circle(c4) = {p5,p1,p2};
t=t+1;
theloop[t] = newreg; Line Loop(theloop[t]) = {c1,c2,c3,c4};
thesurface[t] = news;
Plane Surface(thesurface[t]) = {theloop[t]};
p1 = newp; Point(p1) = { 4.168333 *unit, 13.350702 *unit, 0.0, cl};
p2 = newp; Point(p2) = { 1.256246 *unit, 13.350702 *unit, 0.0, cl};
p3 = newp; Point(p3) = { 4.168333 *unit, 10.438615 *unit, 0.0, cl};
p4 = newp; Point(p4) = { 7.080421 *unit, 13.350702 *unit, 0.0, cl};
p5 = newp; Point(p5) = { 4.168333 *unit, 16.262790 *unit, 0.0, cl};
c1 = newreg; Circle(c1) = {p2,p1,p3};
c2 = newreg; Circle(c2) = {p3,p1,p4};
c3 = newreg; Circle(c3) = {p4,p1,p5};
c4 = newreg; Circle(c4) = {p5,p1,p2};
t=t+1;
theloop[t] = newreg; Line Loop(theloop[t]) = {c1,c2,c3,c4};
thesurface[t] = news;
Plane Surface(thesurface[t]) = {theloop[t]};
//defination of edge points and line
t=-1;
lt=-1;
mt=-1;
BoundXt0=-1;
BoundXt1=-1;
BoundYt0=-1;
BoundYt1=-1;
p0 = newp; Point(p0) = { 0.0 , 0.0 , 0.0 , cl}; 
mat_conP = p0;
mat_endP = p0;
p1 = newp; Point(p1) = { 7.173980 *unit, 2.643804 *unit, 0.0, cl};
p2 = newp; Point(p2) = { 6.107729 *unit, 0.000000 *unit, 0.0, cl};
p3 = newp; Point(p3) = { 8.240231 *unit, 0.000000 *unit, 0.0, cl};
p4 = newp; Point(p4) = { 7.173980 *unit, 5.494522 *unit, 0.0, cl};
c1 = newreg; Circle(c1) = {p3,p1,p4};
c2 = newreg; Circle(c2) = {p4,p1,p2};
l1 = newreg; Line(l1) = {p2,p3};
t=t+1;
edgloop[t] = newreg; Line Loop(edgloop[t]) = {l1,c1,c2};
edgsurface[t] = news;
Plane Surface(edgsurface[t]) = {edgloop[t]};
l2 = newreg; Line(l2) = {mat_conP,p2};
lt=lt+1;
mat_edge[lt] =  l2;
lt=lt+1;
mat_edge[lt] =  -1*c2;
lt=lt+1;
mat_edge[lt] =  -1*c1;
mat_conP = p3;
BoundYt0 = BoundYt0+1;
Bound_Y0edge[BoundYt0] =  l2;
BoundYt0 = BoundYt0+1;
Bound_Y0edge[BoundYt0] =  l1;
p1 = newp; Point(p1) = { 19.305738 *unit, -1.640826 *unit, 0.0, cl};
p2 = newp; Point(p2) = { 16.694022 *unit, 0.000000 *unit, 0.0, cl};
p3 = newp; Point(p3) = { 21.917454 *unit, 0.000000 *unit, 0.0, cl};
p4 = newp; Point(p4) = { 19.305738 *unit, 1.443549 *unit, 0.0, cl};
c1 = newreg; Circle(c1) = {p3,p1,p4};
c2 = newreg; Circle(c2) = {p4,p1,p2};
l1 = newreg; Line(l1) = {p2,p3};
t=t+1;
edgloop[t] = newreg; Line Loop(edgloop[t]) = {l1,c1,c2};
edgsurface[t] = news;
Plane Surface(edgsurface[t]) = {edgloop[t]};
l2 = newreg; Line(l2) = {mat_conP,p2};
lt=lt+1;
mat_edge[lt] =  l2;
lt=lt+1;
mat_edge[lt] =  -1*c2;
lt=lt+1;
mat_edge[lt] =  -1*c1;
mat_conP = p3;
BoundYt0 = BoundYt0+1;
Bound_Y0edge[BoundYt0] =  l2;
BoundYt0 = BoundYt0+1;
Bound_Y0edge[BoundYt0] =  l1;
p0 = newp; Point(p0) = { h_x , 0.0 , 0.0 , cl}; 
p1 = newp; Point(p1) = { 25.717433 *unit, -0.940744 *unit, 0.0, cl};
p2 = newp; Point(p2) = { 25.000000 *unit, 1.766456 *unit, 0.0, cl};
p3 = newp; Point(p3) = { 23.079509 *unit, 0.000000 *unit, 0.0, cl};
c1 = newreg; Circle(c1) = {p2,p1,p3};
l1 = newreg; Line(l1) = {p3,p0};
l2 = newreg; Line(l2) = {p0,p2};
t=t+1;
edgloop[t] = newreg; Line Loop(edgloop[t]) = {l1,l2,c1};
edgsurface[t] = news;
Plane Surface(edgsurface[t]) = {edgloop[t]};
l3 = newreg; Line(l3) = {mat_conP,p3};
lt=lt+1;
mat_edge[lt] =  l3;
lt=lt+1;
mat_edge[lt] =  -1*c1;
mat_conP = p2;
BoundYt0 = BoundYt0+1;
Bound_Y0edge[BoundYt0] =  l3;
BoundYt0 = BoundYt0+1;
Bound_Y0edge[BoundYt0] =  l1;
BoundXt1 = BoundXt1+1;
Bound_X1edge[BoundXt1] =  l2;
p1 = newp; Point(p1) = { 24.865395 *unit, 5.090865 *unit, 0.0, cl};
p2 = newp; Point(p2) = { 25.000000 *unit, 1.951853 *unit, 0.0, cl};
p3 = newp; Point(p3) = { 25.000000 *unit, 8.229877 *unit, 0.0, cl};
p4 = newp; Point(p4) = { 21.723499 *unit, 5.090865 *unit, 0.0, cl};
c1 = newreg; Circle(c1) = {p3,p1,p4};
c2 = newreg; Circle(c2) = {p4,p1,p2};
l1 = newreg; Line(l1) = {p2,p3};
t=t+1;
edgloop[t] = newreg; Line Loop(edgloop[t]) = {l1,c1,c2};
edgsurface[t] = news;
Plane Surface(edgsurface[t]) = {edgloop[t]};
l2 = newreg; Line(l2) = {mat_conP,p2};
lt=lt+1;
mat_edge[lt] =  l2;
lt=lt+1;
mat_edge[lt] =  -1*c2;
lt=lt+1;
mat_edge[lt] =  -1*c1;
mat_conP = p3;
BoundXt1 = BoundXt1+1;
Bound_X1edge[BoundXt1] =  l2;
BoundXt1 = BoundXt1+1;
Bound_X1edge[BoundXt1] =  l1;
p1 = newp; Point(p1) = { 22.968467 *unit, 11.309374 *unit, 0.0, cl};
p2 = newp; Point(p2) = { 25.000000 *unit, 9.460729 *unit, 0.0, cl};
p3 = newp; Point(p3) = { 25.000000 *unit, 13.158019 *unit, 0.0, cl};
p4 = newp; Point(p4) = { 20.221721 *unit, 11.309374 *unit, 0.0, cl};
c1 = newreg; Circle(c1) = {p3,p1,p4};
c2 = newreg; Circle(c2) = {p4,p1,p2};
l1 = newreg; Line(l1) = {p2,p3};
t=t+1;
edgloop[t] = newreg; Line Loop(edgloop[t]) = {l1,c1,c2};
edgsurface[t] = news;
Plane Surface(edgsurface[t]) = {edgloop[t]};
l2 = newreg; Line(l2) = {mat_conP,p2};
lt=lt+1;
mat_edge[lt] =  l2;
lt=lt+1;
mat_edge[lt] =  -1*c2;
lt=lt+1;
mat_edge[lt] =  -1*c1;
mat_conP = p3;
BoundXt1 = BoundXt1+1;
Bound_X1edge[BoundXt1] =  l2;
BoundXt1 = BoundXt1+1;
Bound_X1edge[BoundXt1] =  l1;
p0 = newp; Point(p0) = { h_x , h_y , 0.0 , cl}; 
p1 = newp; Point(p1) = { 23.927958 *unit, 25.819598 *unit, 0.0, cl};
p2 = newp; Point(p2) = { 25.000000 *unit, 23.096679 *unit, 0.0, cl};
p3 = newp; Point(p3) = { 21.118719 *unit, 25.000000 *unit, 0.0, cl};
c1 = newreg; Circle(c1) = {p3,p1,p2};
l1 = newreg; Line(l1) = {p2,p0};
l2 = newreg; Line(l2) = {p0,p3};
t=t+1;
edgloop[t] = newreg; Line Loop(edgloop[t]) = {l1,l2,c1};
edgsurface[t] = news;
Plane Surface(edgsurface[t]) = {edgloop[t]};
l3 = newreg; Line(l3) = {mat_conP,p2};
lt=lt+1;
mat_edge[lt] =  l3;
lt=lt+1;
mat_edge[lt] =  -1*c1;
mat_conP = p3;
BoundXt1 = BoundXt1+1;
Bound_X1edge[BoundXt1] =  l3;
BoundXt1 = BoundXt1+1;
Bound_X1edge[BoundXt1] =  l1;
BoundYt1 = BoundYt1+1;
Bound_Y1edge[BoundYt1] =  l2;
p1 = newp; Point(p1) = { 10.515372 *unit, 26.161751 *unit, 0.0, cl};
p2 = newp; Point(p2) = { 7.673643 *unit, 25.000000 *unit, 0.0, cl};
p3 = newp; Point(p3) = { 13.357101 *unit, 25.000000 *unit, 0.0, cl};
p4 = newp; Point(p4) = { 10.515372 *unit, 23.091720 *unit, 0.0, cl};
c1 = newreg; Circle(c1) = {p2,p1,p4};
c2 = newreg; Circle(c2) = {p4,p1,p3};
l1 = newreg; Line(l1) = {p3,p2};
t=t+1;
edgloop[t] = newreg; Line Loop(edgloop[t]) = {l1,c1,c2};
edgsurface[t] = news;
Plane Surface(edgsurface[t]) = {edgloop[t]};
l2 = newreg; Line(l2) = {mat_conP,p3};
lt=lt+1;
mat_edge[lt] = l2;
lt=lt+1;
mat_edge[lt] = -1*c2;
lt=lt+1;
mat_edge[lt] = -1*c1;
mat_conP = p2;
BoundYt1 = BoundYt1+1;
Bound_Y1edge[BoundYt1] =  l2;
BoundYt1 = BoundYt1+1;
Bound_Y1edge[BoundYt1] =  l1;
p1 = newp; Point(p1) = { 3.851136 *unit, 25.064382 *unit, 0.0, cl};
p2 = newp; Point(p2) = { 1.002276 *unit, 25.000000 *unit, 0.0, cl};
p3 = newp; Point(p3) = { 6.699996 *unit, 25.000000 *unit, 0.0, cl};
p4 = newp; Point(p4) = { 3.851136 *unit, 22.214795 *unit, 0.0, cl};
c1 = newreg; Circle(c1) = {p2,p1,p4};
c2 = newreg; Circle(c2) = {p4,p1,p3};
l1 = newreg; Line(l1) = {p3,p2};
t=t+1;
edgloop[t] = newreg; Line Loop(edgloop[t]) = {l1,c1,c2};
edgsurface[t] = news;
Plane Surface(edgsurface[t]) = {edgloop[t]};
l2 = newreg; Line(l2) = {mat_conP,p3};
lt=lt+1;
mat_edge[lt] = l2;
lt=lt+1;
mat_edge[lt] = -1*c2;
lt=lt+1;
mat_edge[lt] = -1*c1;
mat_conP = p2;
BoundYt1 = BoundYt1+1;
Bound_Y1edge[BoundYt1] =  l2;
BoundYt1 = BoundYt1+1;
Bound_Y1edge[BoundYt1] =  l1;
p0 = newp; Point(p0) = { 0.0 , h_y , 0.0 , cl}; 
p1 = newp; Point(p1) = { -1.748346 *unit, 23.498064 *unit, 0.0, cl};
p2 = newp; Point(p2) = { 0.000000 *unit, 21.396944 *unit, 0.0, cl};
p3 = newp; Point(p3) = { 0.535424 *unit, 25.000000 *unit, 0.0, cl};
c1 = newreg; Circle(c1) = {p2,p1,p3};
l1 = newreg; Line(l1) = {p3,p0};
l2 = newreg; Line(l2) = {p0,p2};
t=t+1;
edgloop[t] = newreg; Line Loop(edgloop[t]) = {l1,l2,c1};
edgsurface[t] = news;
Plane Surface(edgsurface[t]) = {edgloop[t]};
l3 = newreg; Line(l3) = {mat_conP,p3};
lt=lt+1;
mat_edge[lt] =  l3;
lt=lt+1;
mat_edge[lt] =  -1*c1;
mat_conP = p2;
BoundYt1 = BoundYt1+1;
Bound_Y1edge[BoundYt1] =  l3;
BoundYt1 = BoundYt1+1;
Bound_Y1edge[BoundYt1] =  l1;
BoundXt0 = BoundXt0+1;
Bound_X0edge[BoundXt0] =  l2;
p1 = newp; Point(p1) = { 0.962189 *unit, 18.517679 *unit, 0.0, cl};
p2 = newp; Point(p2) = { 0.000000 *unit, 21.275547 *unit, 0.0, cl};
p3 = newp; Point(p3) = { 0.000000 *unit, 15.759811 *unit, 0.0, cl};
p4 = newp; Point(p4) = { 3.883086 *unit, 18.517679 *unit, 0.0, cl};
c1 = newreg; Circle(c1) = {p3,p1,p4};
c2 = newreg; Circle(c2) = {p4,p1,p2};
l1 = newreg; Line(l1) = {p2,p3};
t=t+1;
edgloop[t] = newreg; Line Loop(edgloop[t]) = {l1,c1,c2};
edgsurface[t] = news;
Plane Surface(edgsurface[t]) = {edgloop[t]};
l2 = newreg; Line(l2) = {mat_conP,p2};
lt=lt+1;
mat_edge[lt] =  l2;
lt=lt+1;
mat_edge[lt] =  -1*c2;
lt=lt+1;
mat_edge[lt] =  -1*c1;
mat_conP = p3;
BoundXt0 = BoundXt0+1;
Bound_X0edge[BoundXt0] =  l2;
BoundXt0 = BoundXt0+1;
Bound_X0edge[BoundXt0] =  l1;
p1 = newp; Point(p1) = { 1.490531 *unit, 4.379649 *unit, 0.0, cl};
p2 = newp; Point(p2) = { 0.000000 *unit, 7.088462 *unit, 0.0, cl};
p3 = newp; Point(p3) = { 0.000000 *unit, 1.670836 *unit, 0.0, cl};
p4 = newp; Point(p4) = { 4.582350 *unit, 4.379649 *unit, 0.0, cl};
c1 = newreg; Circle(c1) = {p3,p1,p4};
c2 = newreg; Circle(c2) = {p4,p1,p2};
l1 = newreg; Line(l1) = {p2,p3};
t=t+1;
edgloop[t] = newreg; Line Loop(edgloop[t]) = {l1,c1,c2};
edgsurface[t] = news;
Plane Surface(edgsurface[t]) = {edgloop[t]};
l2 = newreg; Line(l2) = {mat_conP,p2};
lt=lt+1;
mat_edge[lt] =  l2;
lt=lt+1;
mat_edge[lt] =  -1*c2;
lt=lt+1;
mat_edge[lt] =  -1*c1;
mat_conP = p3;
BoundXt0 = BoundXt0+1;
Bound_X0edge[BoundXt0] =  l2;
BoundXt0 = BoundXt0+1;
Bound_X0edge[BoundXt0] =  l1;
l1 = newreg; Line(l1) = {mat_conP,mat_endP};
BoundXt0 = BoundXt0+1;
Bound_X0edge[BoundXt0] =  l1;
lt=lt+1;
mat_edge[lt] = l1;
lineloop_matix = newreg;
Line Loop(lineloop_matix) = {mat_edge[]};
MaS=news;
Plane Surface(MaS) = {lineloop_matix,theloop[]};
my_fiberV[] = Extrude {0.0 , 0.0 , h_z} {Surface{thesurface[],edgsurface[]}; Layers{2}; Recombine;};
my_mtrixV[] = Extrude {0.0 , 0.0 , h_z} {Surface{MaS}; Layers{2}; Recombine;};
Physical Volume(51) ={my_mtrixV[]};
Physical Volume(52) ={my_fiberV[]};
outX0[] = Extrude{ 0, 0, h_z}{ Line{Bound_X0edge[]};};
outX1[] = Extrude{ 0, 0, h_z}{ Line{Bound_X1edge[]};};
outY0[] = Extrude{ 0, 0, h_z}{ Line{Bound_Y0edge[]};};
outY1[] = Extrude{ 0, 0, h_z}{ Line{Bound_Y1edge[]};};
Physical Surface(100) = { outX0[] };
Physical Surface(101) = { outX1[] };
Physical Surface(110) = { outY0[] };
Physical Surface(111) = { outY1[] };
Physical Surface(120) = { thesurface[],edgsurface[], MaS};
Constrain_z[] = Translate{0, 0, h_z}{ Duplicata{ Surface{thesurface[],edgsurface[], MaS}; } };
Physical Surface(121) = { Constrain_z[]};
p1 = newp; Point(p1) = {0.0, 0.0, 0.0, cl};
p2 = newp; Point(p2) = {0.0, 0.0, h_z, cl};
p3 = newp; Point(p3) = {h_x, 0.0, 0.0, cl};
p4 = newp; Point(p4) = {h_x, 0.0, h_z, cl};
p5 = newp; Point(p5) = {h_x, h_y, 0.0, cl};
p6 = newp; Point(p6) = {h_x, h_y, h_z, cl};
p7 = newp; Point(p7) = {0.0, h_y, 0.0, cl};
p8 = newp; Point(p8) = {0.0, h_y, h_z, cl};
Physical Point(1)= {p1};
Physical Point(2)= {p2};
Physical Point(3)= {p3};
Physical Point(4)= {p4};
Physical Point(5)= {p5};
Physical Point(6)= {p6};
Physical Point(7)= {p7};
Physical Point(8)= {p8};
Physical Volume( 1001 ) ={ 1 };
Physical Volume( 1002 ) ={ 2 };
Physical Volume( 1003 ) ={ 3 };
Physical Volume( 1004 ) ={ 4 };
Physical Volume( 1005 ) ={ 5 };
Physical Volume( 1006 ) ={ 6 };
Physical Volume( 1007 ) ={ 7 };
Physical Volume( 1008 ) ={ 8 };
Physical Volume( 1009 ) ={ 9 };
Physical Volume( 1010 ) ={ 10 };
Physical Volume( 1011 ) ={ 11 };
Physical Volume( 1012 ) ={ 12 };
Physical Volume( 1013 ) ={ 13 };
Physical Volume( 1014 ) ={ 14 };
Physical Volume( 1015 ) ={ 15 };
Physical Volume( 1016 ) ={ 16 };
Physical Volume( 1017 ) ={ 17 };
Physical Volume( 1018 ) ={ 18 };
Coherence;
