clear
clc
clf
close all

%---TEMPERATURE-----------------------------------------------------------------
XYZ= dlmread(strcat(pwd(),'/previousScheme/','IPVolume10val_TEMPERATUREMean.csv'));
t1= XYZ(:, 1);
dlmwrite('temp.csv',XYZ,'delimiter',';');
XYZ =dlmread('IPVolume10val_TEMPERATUREMean.csv');
t2= 2+XYZ(:, 1);
dlmwrite('temp.csv',XYZ,'delimiter',';','-append');
XYZ =dlmread('temp.csv');

t=[t1;t2];
DATA(:,1)= t;
T_Mean= XYZ(:, 2);
DATA(:,2)= T_Mean;
delete('temp.csv')


%---DISPLACEMENT-----------------------------------------------------------------
XYZ= dlmread(strcat(pwd(),'/previousScheme/','NodalDisplacementPhysical7Num7comp0.csv'));
dlmwrite('temp.csv',XYZ,'delimiter',';');
XYZ =dlmread('NodalDisplacementPhysical7Num7comp0.csv');
dlmwrite('temp.csv',XYZ,'delimiter',';','-append');
XYZ =dlmread('temp.csv');
UX_Pt7=     XYZ(:, 2);
DATA(:,3)= UX_Pt7;

XYZ= dlmread(strcat(pwd(),'/previousScheme/','NodalDisplacementPhysical7Num7comp1.csv'));
dlmwrite('temp.csv',XYZ,'delimiter',';');
XYZ =dlmread('NodalDisplacementPhysical7Num7comp1.csv');
dlmwrite('temp.csv',XYZ,'delimiter',';','-append');
XYZ =dlmread('temp.csv');
UY_Pt7= XYZ(:, 2);
DATA(:,4)= UY_Pt7;

XYZ= dlmread(strcat(pwd(),'/previousScheme/','NodalDisplacementPhysical7Num7comp2.csv'));
dlmwrite('temp.csv',XYZ,'delimiter',';');
XYZ =dlmread('NodalDisplacementPhysical7Num7comp2.csv');
dlmwrite('temp.csv',XYZ,'delimiter',';','-append');
XYZ =dlmread('temp.csv');
UZ_Pt7= XYZ(:, 2);
DATA(:,5)= UZ_Pt7;
delete('temp.csv')

%---PLASTIC STRAIN--------------------------------------------------------------
XYZ= dlmread(strcat(pwd(),'/previousScheme/','IPVolume10val_PLASTICSTRAINMean.csv'));
dlmwrite('temp.csv',XYZ,'delimiter',';');
XYZ =dlmread('IPVolume10val_PLASTICSTRAINMean.csv');
dlmwrite('temp.csv',XYZ,'delimiter',';','-append');
XYZ =dlmread('temp.csv');
PLASTICSTRAINMean=  XYZ(:, 2);
DATA(:,6)= PLASTICSTRAINMean;
delete('temp.csv')

%---SVM-------------------------------------------------------------------------
XYZ= dlmread(strcat(pwd(),'/previousScheme/','IPVolume10val_SVMMean.csv'));
dlmwrite('temp.csv',XYZ,'delimiter',';');
XYZ =dlmread('IPVolume10val_SVMMean.csv');
dlmwrite('temp.csv',XYZ,'delimiter',';','-append');
XYZ =dlmread('temp.csv');
SVM=  XYZ(:, 2);
DATA(:,7)= SVM;
delete('temp.csv')

%%---ENERGY-----------------------------------------------------------------------
%fid = fopen('energy.csv');
%myline = fgetl(fid);
%while ischar(myline)
%    C = strsplit(myline,';');
%    myline = fgetl(fid);
%    dlmwrite('temp222.csv',C(:,:),'delimiter',';');
%
%end
%fclose(fid);

XYZenergy= dlmread(strcat(pwd(),'/previousScheme/','energy.csv'),';',1,0);
dlmwrite('temp.csv',XYZenergy,'delimiter',';');
XYZenergy =dlmread('energy.csv',';',2,0);
dlmwrite('temp.csv',XYZenergy,'delimiter',';','-append');
XYZenergy =dlmread('temp.csv');

Kinetic=            XYZenergy(:, 2);
Deformation=        XYZenergy(:, 3);
Plastic=            XYZenergy(:, 4);
Wext=               XYZenergy(:, 5);
Damage=             XYZenergy(:, 6);
Total=              XYZenergy(:, 7);
LocalPathFollowing= XYZenergy(:, 8);

DATAenergy(:,1)= t;
DATAenergy(:,2)= Kinetic;
DATAenergy(:,3)= Deformation;
DATAenergy(:,4)= Plastic;
DATAenergy(:,5)= Wext;
DATAenergy(:,6)= Damage;
DATAenergy(:,7)= Total;
DATAenergy(:,8)= LocalPathFollowing;
delete('temp.csv')

%---STRAIN----------------------------------------------------------------------
XYZ= dlmread(strcat(pwd(),'/previousScheme/','IPVolume10val_STRAIN_XXMean.csv'));
dlmwrite('temp.csv',XYZ,'delimiter',';');
XYZ =dlmread('IPVolume10val_STRAIN_XXMean.csv');
dlmwrite('temp.csv',XYZ,'delimiter',';','-append');
XYZ =dlmread('temp.csv');
STRAIN_XXMean=     XYZ(:, 2);
DATA(:,8)= STRAIN_XXMean;

XYZ= dlmread(strcat(pwd(),'/previousScheme/','IPVolume10val_STRAIN_YYMean.csv'));
dlmwrite('temp.csv',XYZ,'delimiter',';');
XYZ =dlmread('IPVolume10val_STRAIN_YYMean.csv');
dlmwrite('temp.csv',XYZ,'delimiter',';','-append');
XYZ =dlmread('temp.csv');
STRAIN_YYMean= XYZ(:, 2);
DATA(:,9)= STRAIN_YYMean;

XYZ= dlmread(strcat(pwd(),'/previousScheme/','IPVolume10val_STRAIN_ZZMean.csv'));
dlmwrite('temp.csv',XYZ,'delimiter',';');
XYZ =dlmread('IPVolume10val_STRAIN_ZZMean.csv');
dlmwrite('temp.csv',XYZ,'delimiter',';','-append');
XYZ =dlmread('temp.csv');
STRAIN_ZZMean= XYZ(:, 2);
DATA(:,10)= STRAIN_ZZMean;

XYZ= dlmread(strcat(pwd(),'/previousScheme/','IPVolume10val_STRAIN_XYMean.csv'));
dlmwrite('temp.csv',XYZ,'delimiter',';');
XYZ =dlmread('IPVolume10val_STRAIN_XYMean.csv');
dlmwrite('temp.csv',XYZ,'delimiter',';','-append');
XYZ =dlmread('temp.csv');
STRAIN_XYMean= XYZ(:, 2);
DATA(:,11)= STRAIN_XYMean;

XYZ= dlmread(strcat(pwd(),'/previousScheme/','IPVolume10val_STRAIN_YZMean.csv'));
dlmwrite('temp.csv',XYZ,'delimiter',';');
XYZ =dlmread('IPVolume10val_STRAIN_YZMean.csv');
dlmwrite('temp.csv',XYZ,'delimiter',';','-append');
XYZ =dlmread('temp.csv');
STRAIN_YZMean= XYZ(:, 2);
DATA(:,12)= STRAIN_YZMean;

XYZ= dlmread(strcat(pwd(),'/previousScheme/','IPVolume10val_STRAIN_XZMean.csv'));
dlmwrite('temp.csv',XYZ,'delimiter',';');
XYZ =dlmread('IPVolume10val_STRAIN_XZMean.csv');
dlmwrite('temp.csv',XYZ,'delimiter',';','-append');
XYZ =dlmread('temp.csv');
STRAIN_XZMean= XYZ(:, 2);
DATA(:,13)= STRAIN_XZMean;
delete('temp.csv')

%---STRESS----------------------------------------------------------------------
XYZ= dlmread(strcat(pwd(),'/previousScheme/','IPVolume10val_SIG_XXMean.csv'));
dlmwrite('temp.csv',XYZ,'delimiter',';');
XYZ =dlmread('IPVolume10val_SIG_XXMean.csv');
dlmwrite('temp.csv',XYZ,'delimiter',';','-append');
XYZ =dlmread('temp.csv');
SIG_XXMean=     XYZ(:, 2);
DATA(:,14)= SIG_XXMean;

XYZ= dlmread(strcat(pwd(),'/previousScheme/','IPVolume10val_SIG_YYMean.csv'));
dlmwrite('temp.csv',XYZ,'delimiter',';');
XYZ =dlmread('IPVolume10val_SIG_YYMean.csv');
dlmwrite('temp.csv',XYZ,'delimiter',';','-append');
XYZ =dlmread('temp.csv');
SIG_YYMean= XYZ(:, 2);
DATA(:,15)= SIG_YYMean;

XYZ= dlmread(strcat(pwd(),'/previousScheme/','IPVolume10val_SIG_ZZMean.csv'));
dlmwrite('temp.csv',XYZ,'delimiter',';');
XYZ =dlmread('IPVolume10val_SIG_ZZMean.csv');
dlmwrite('temp.csv',XYZ,'delimiter',';','-append');
XYZ =dlmread('temp.csv');
SIG_ZZMean= XYZ(:, 2);
DATA(:,16)= SIG_ZZMean;

XYZ= dlmread(strcat(pwd(),'/previousScheme/','IPVolume10val_SIG_XYMean.csv'));
dlmwrite('temp.csv',XYZ,'delimiter',';');
XYZ =dlmread('IPVolume10val_SIG_XYMean.csv');
dlmwrite('temp.csv',XYZ,'delimiter',';','-append');
XYZ =dlmread('temp.csv');
SIG_XYMean= XYZ(:, 2);
DATA(:,17)= SIG_XYMean;

XYZ= dlmread(strcat(pwd(),'/previousScheme/','IPVolume10val_SIG_YZMean.csv'));
dlmwrite('temp.csv',XYZ,'delimiter',';');
XYZ =dlmread('IPVolume10val_SIG_YZMean.csv');
dlmwrite('temp.csv',XYZ,'delimiter',';','-append');
XYZ =dlmread('temp.csv');
SIG_YZMean= XYZ(:, 2);
DATA(:,18)= SIG_YZMean;

XYZ= dlmread(strcat(pwd(),'/previousScheme/','IPVolume10val_SIG_XZMean.csv'));
dlmwrite('temp.csv',XYZ,'delimiter',';');
XYZ =dlmread('IPVolume10val_SIG_XZMean.csv');
dlmwrite('temp.csv',XYZ,'delimiter',';','-append');
XYZ =dlmread('temp.csv');
SIG_XZMean= XYZ(:, 2);
DATA(:,19)= SIG_XZMean;
delete('temp.csv')

%%---FORCE-----------------------------------------------------------------------
XYZ= dlmread(strcat(pwd(),'/previousScheme/','force1234comp0.csv'));
dlmwrite('temp.csv',XYZ,'delimiter',';');
XYZ =dlmread('force1234comp0.csv');
dlmwrite('temp.csv',XYZ,'delimiter',';','-append');
XYZ =dlmread('temp.csv');
F1234_X=     XYZ(:, 2);
DATA(:,20)= F1234_X;

XYZ= dlmread(strcat(pwd(),'/previousScheme/','force1234comp1.csv'));
dlmwrite('temp.csv',XYZ,'delimiter',';');
XYZ =dlmread('force1234comp1.csv');
dlmwrite('temp.csv',XYZ,'delimiter',';','-append');
XYZ =dlmread('temp.csv');
F1234_Y= XYZ(:, 2);
DATA(:,21)= F1234_Y;

XYZ= dlmread(strcat(pwd(),'/previousScheme/','force1234comp2.csv'));
dlmwrite('temp.csv',XYZ,'delimiter',';');
XYZ =dlmread('force1234comp2.csv');
dlmwrite('temp.csv',XYZ,'delimiter',';','-append');
XYZ =dlmread('temp.csv');
F1234_Z= XYZ(:, 2);
DATA(:,22)= F1234_Z;
delete('temp.csv')

%---PRESSURE--------------------------------------------------------------------
XYZ= dlmread(strcat(pwd(),'/previousScheme/','IPVolume10val_P_XXMean.csv'));
dlmwrite('temp.csv',XYZ,'delimiter',';');
XYZ =dlmread('IPVolume10val_P_XXMean.csv');
dlmwrite('temp.csv',XYZ,'delimiter',';','-append');
XYZ =dlmread('temp.csv');
P_XXMean=     XYZ(:, 2);
DATA(:,23)= P_XXMean;

XYZ= dlmread(strcat(pwd(),'/previousScheme/','IPVolume10val_P_YYMean.csv'));
dlmwrite('temp.csv',XYZ,'delimiter',';');
XYZ =dlmread('IPVolume10val_P_YYMean.csv');
dlmwrite('temp.csv',XYZ,'delimiter',';','-append');
XYZ =dlmread('temp.csv');
P_YYMean= XYZ(:, 2);
DATA(:,24)= P_YYMean;

XYZ= dlmread(strcat(pwd(),'/previousScheme/','IPVolume10val_P_ZZMean.csv'));
dlmwrite('temp.csv',XYZ,'delimiter',';');
XYZ =dlmread('IPVolume10val_P_ZZMean.csv');
dlmwrite('temp.csv',XYZ,'delimiter',';','-append');
XYZ =dlmread('temp.csv');
P_ZZMean= XYZ(:, 2);
DATA(:,25)= P_ZZMean;
delete('temp.csv')

dlmwrite('DATA', DATA,';');
dlmwrite('DATAenergy', DATAenergy,';');

%---SMP----------------------------------------------------------------------
XYZ= dlmread(strcat(pwd(),'/previousScheme/','IPVolume10val_FTH_YYMean.csv'));
dlmwrite('temp.csv',XYZ,'delimiter',';');
XYZ =dlmread('IPVolume10val_FTH_YYMean.csv');
dlmwrite('temp.csv',XYZ,'delimiter',';','-append');
XYZ =dlmread('temp.csv');
FTH_YYMean=     XYZ(:, 2);
DATAF(:,1)= FTH_YYMean;


XYZ= dlmread(strcat(pwd(),'/previousScheme/','IPVolume10val_FF_YYMean.csv'));
dlmwrite('temp.csv',XYZ,'delimiter',';');
XYZ =dlmread('IPVolume10val_FF_YYMean.csv');
dlmwrite('temp.csv',XYZ,'delimiter',';','-append');
XYZ =dlmread('temp.csv');
FF_YYMean= XYZ(:, 2);
DATAF(:,2)= FF_YYMean;

XYZ= dlmread(strcat(pwd(),'/previousScheme/','IPVolume10val_FPG_YYMean.csv'));
dlmwrite('temp.csv',XYZ,'delimiter',';');
XYZ =dlmread('IPVolume10val_FPG_YYMean.csv');
dlmwrite('temp.csv',XYZ,'delimiter',';','-append');
XYZ =dlmread('temp.csv');
FPG_YYMean= XYZ(:, 2);
DATAF(:,3)= FPG_YYMean;

XYZ= dlmread(strcat(pwd(),'/previousScheme/','IPVolume10val_FG_YYMean.csv'));
dlmwrite('temp.csv',XYZ,'delimiter',';');
XYZ =dlmread('IPVolume10val_FG_YYMean.csv');
dlmwrite('temp.csv',XYZ,'delimiter',';','-append');
XYZ =dlmread('temp.csv');
FG_YYMean= XYZ(:, 2);
DATAF(:,4)= FG_YYMean;

XYZ= dlmread(strcat(pwd(),'/previousScheme/','IPVolume10val_FP_YYMean.csv'));
dlmwrite('temp.csv',XYZ,'delimiter',';');
XYZ =dlmread('IPVolume10val_FP_YYMean.csv');
dlmwrite('temp.csv',XYZ,'delimiter',';','-append');
XYZ =dlmread('temp.csv');
FP_YYMean= XYZ(:, 2);
DATAF(:,5)= FP_YYMean;

XYZ= dlmread(strcat(pwd(),'/previousScheme/','IPVolume10val_FR_YYMean.csv'));
dlmwrite('temp.csv',XYZ,'delimiter',';');
XYZ =dlmread('IPVolume10val_FR_YYMean.csv');
dlmwrite('temp.csv',XYZ,'delimiter',';','-append');
XYZ =dlmread('temp.csv');
FR_YYMean= XYZ(:, 2);
DATAF(:,6)= FR_YYMean;

XYZ= dlmread(strcat(pwd(),'/previousScheme/','IPVolume10val_F_XXMean.csv'));
dlmwrite('temp.csv',XYZ,'delimiter',';');
XYZ =dlmread('IPVolume10val_F_XXMean.csv');
dlmwrite('temp.csv',XYZ,'delimiter',';','-append');
XYZ =dlmread('temp.csv');
F_XXMean= XYZ(:, 2);
DATAF(:,7)= F_XXMean;

XYZ= dlmread(strcat(pwd(),'/previousScheme/','IPVolume10val_F_YYMean.csv'));
dlmwrite('temp.csv',XYZ,'delimiter',';');
XYZ =dlmread('IPVolume10val_F_YYMean.csv');
dlmwrite('temp.csv',XYZ,'delimiter',';','-append');
XYZ =dlmread('temp.csv');
F_YYMean= XYZ(:, 2);
DATAF(:,8)= F_YYMean;

XYZ= dlmread(strcat(pwd(),'/previousScheme/','IPVolume10val_FTH_ZZMean.csv'));
dlmwrite('temp.csv',XYZ,'delimiter',';');
XYZ =dlmread('IPVolume10val_FTH_ZZMean.csv');
dlmwrite('temp.csv',XYZ,'delimiter',';','-append');
XYZ =dlmread('temp.csv');
FTH_ZZMean=     XYZ(:, 2);
DATAF(:,9)= FTH_ZZMean;

XYZ= dlmread(strcat(pwd(),'/previousScheme/','IPVolume10val_FF_ZZMean.csv'));
dlmwrite('temp.csv',XYZ,'delimiter',';');
XYZ =dlmread('IPVolume10val_FF_ZZMean.csv');
dlmwrite('temp.csv',XYZ,'delimiter',';','-append');
XYZ =dlmread('temp.csv');
FF_ZZMean= XYZ(:, 2);
DATAF(:,10)= FF_ZZMean;

XYZ= dlmread(strcat(pwd(),'/previousScheme/','IPVolume10val_FPG_ZZMean.csv'));
dlmwrite('temp.csv',XYZ,'delimiter',';');
XYZ =dlmread('IPVolume10val_FPG_ZZMean.csv');
dlmwrite('temp.csv',XYZ,'delimiter',';','-append');
XYZ =dlmread('temp.csv');
FPG_ZZMean= XYZ(:, 2);
DATAF(:,11)= FPG_ZZMean;

XYZ= dlmread(strcat(pwd(),'/previousScheme/','IPVolume10val_FG_ZZMean.csv'));
dlmwrite('temp.csv',XYZ,'delimiter',';');
XYZ =dlmread('IPVolume10val_FG_ZZMean.csv');
dlmwrite('temp.csv',XYZ,'delimiter',';','-append');
XYZ =dlmread('temp.csv');
FG_ZZMean= XYZ(:, 2);
DATAF(:,12)= FG_ZZMean;

XYZ= dlmread(strcat(pwd(),'/previousScheme/','IPVolume10val_FP_ZZMean.csv'));
dlmwrite('temp.csv',XYZ,'delimiter',';');
XYZ =dlmread('IPVolume10val_FP_ZZMean.csv');
dlmwrite('temp.csv',XYZ,'delimiter',';','-append');
XYZ =dlmread('temp.csv');
FP_ZZMean= XYZ(:, 2);
DATAF(:,13)= FP_ZZMean;

XYZ= dlmread(strcat(pwd(),'/previousScheme/','IPVolume10val_FR_ZZMean.csv'));
dlmwrite('temp.csv',XYZ,'delimiter',';');
XYZ =dlmread('IPVolume10val_FR_ZZMean.csv');
dlmwrite('temp.csv',XYZ,'delimiter',';','-append');
XYZ =dlmread('temp.csv');
FR_ZZMean= XYZ(:, 2);
DATAF(:,14)= FR_ZZMean;

XYZ= dlmread(strcat(pwd(),'/previousScheme/','IPVolume10val_F_ZZMean.csv'));
dlmwrite('temp.csv',XYZ,'delimiter',';');
XYZ =dlmread('IPVolume10val_F_ZZMean.csv');
dlmwrite('temp.csv',XYZ,'delimiter',';','-append');
XYZ =dlmread('temp.csv');
F_ZZMean= XYZ(:, 2);
DATAF(:,15)= F_ZZMean;

XYZ= dlmread(strcat(pwd(),'/previousScheme/','IPVolume10val_ZGMean.csv'));
dlmwrite('temp.csv',XYZ,'delimiter',';');
XYZ =dlmread('IPVolume10val_ZGMean.csv');
dlmwrite('temp.csv',XYZ,'delimiter',';','-append');
XYZ =dlmread('temp.csv');
ZGMean= XYZ(:, 2);
DATAF(:,16)= ZGMean;

XYZ= dlmread(strcat(pwd(),'/previousScheme/','IPVolume10val_TIGMean.csv'));
dlmwrite('temp.csv',XYZ,'delimiter',';');
XYZ =dlmread('IPVolume10val_TIGMean.csv');
dlmwrite('temp.csv',XYZ,'delimiter',';','-append');
XYZ =dlmread('temp.csv');
TIGMean= XYZ(:, 2);
DATAF(:,17)= TIGMean;

XYZ= dlmread(strcat(pwd(),'/previousScheme/','IPVolume10val_TIRMean.csv'));
dlmwrite('temp.csv',XYZ,'delimiter',';');
XYZ =dlmread('IPVolume10val_TIRMean.csv');
dlmwrite('temp.csv',XYZ,'delimiter',';','-append');
XYZ =dlmread('temp.csv');
TIRMean= XYZ(:, 2);
DATAF(:,18)= TIRMean;

XYZ= dlmread(strcat(pwd(),'/previousScheme/','IPVolume10val_TTMean.csv'));
dlmwrite('temp.csv',XYZ,'delimiter',';');
XYZ =dlmread('IPVolume10val_TTMean.csv');
dlmwrite('temp.csv',XYZ,'delimiter',';','-append');
XYZ =dlmread('temp.csv');
TTMean= XYZ(:, 2);
DATAF(:,19)= TTMean;
dlmwrite('DATAF', DATAF,';');

for i=1:length(t)
FGYY_FEGYYMean(i,1)= FTH_YYMean(i,1)*FF_YYMean(i,1)*FPG_YYMean(i,1);
FRYY_FERYYMean(i,1)= FTH_YYMean(i,1)*FP_YYMean(i,1);
FGZZ_FEGZZMean(i,1)= FTH_ZZMean(i,1)*FF_ZZMean(i,1)*FPG_ZZMean(i,1);
FRZZ_FERZZMean(i,1)= FTH_ZZMean(i,1)*FP_ZZMean(i,1);
DetF(i,1)= F_XXMean(i,1)*F_YYMean(i,1)*F_ZZMean(i,1);
Area(i,1)= F_XXMean(i,1)*F_YYMean(i,1);
FG_FEG(i,1)= FTH_YYMean(i,1)*FF_YYMean(i,1)*FPG_YYMean(i,1);
end



%--------------
##figure (10)
####set(gcf, 'name', 'U:displacement, F:force, P:pressure ')
##subplot (4, 6, 1)
##plot(t, UX_Pt7*1e3, 'linewidth',2,'b-')
##set(gca,'FontSize',14)
##xlabel '\bft';
##ylabel '\bfUX-Pt7 [mm]';
##grid on
##
##subplot (4, 6, 2)
##plot(t, UY_Pt7*1e3, 'linewidth',2,'b-')
##set(gca,'FontSize',14)
##xlabel '\bft';
##ylabel '\bfUY-Pt7 [mm]';
##grid on
##
##subplot (4, 6, 3)
##plot(t, UZ_Pt7*1e3, 'linewidth',2,'b-')
##set(gca,'FontSize',14)
##xlabel '\bft';
##ylabel '\bfUZ-Pt7 [mm]';
##grid on
##
##subplot (4, 6, 4)
##plot(t, T_Mean, 'linewidth',2,'b-')
##set(gca,'FontSize',14)
##xlabel '\bft';
##ylabel '\bfT-Mean [K]';
##grid on
##
##subplot (4, 6, 5)
##plot(t, PLASTICSTRAINMean, 'linewidth',2,'b-')
##set(gca,'FontSize',14)
##xlabel '\bft';
##ylabel '\bfplastic \epsilon-Mean';
##grid on
##
##subplot (4, 6, 6)
##plot (t,Kinetic,"+",   t,Deformation,"o",   t,Plastic,"*",   t,Wext,"x",   t,Damage,"s",   t,Total,"d",   t,LocalPathFollowing,"p");
##%legend ("Kinetic", "Deformation", "Plastic", "Wext", "Damage", "Total", "LocalPathFollowing");
##set(gca,'FontSize',14)
##xlabel '\bft';
##ylabel '\bfenergy';
##grid on
##
##subplot (4, 6, 7)
##plot(t, F1234_X, 'linewidth',2,'b-')
##set(gca,'FontSize',14)
##xlabel '\bft';
##ylabel '\bf F1234-X [N]';
##grid on
##
##subplot (4, 6, 8)
##plot(t, F1234_Y, 'linewidth',2,'b-')
##set(gca,'FontSize',14)
##xlabel '\bft';
##ylabel '\bfF1234-Y [N]';
##grid on
##
##subplot (4, 6, 9)
##plot(t, F1234_Z, 'linewidth',2,'b-')
##set(gca,'FontSize',14)
##xlabel '\bft';
##ylabel '\bfF1234-Z [N]';
##grid on
##
##subplot (4, 6, 10)
##plot(t, P_XXMean/1e6, 'linewidth',2,'b-')
##set(gca,'FontSize',14)
##xlabel '\bft';
##ylabel '\bfPXX-Mean [MPa]';
##grid on
##
##subplot (4, 6, 11)
##plot(t, P_YYMean/1e6, 'linewidth',2,'b-')
##set(gca,'FontSize',14)
##xlabel '\bft';
##ylabel '\bfPYY-Mean [MPa]';
##grid on
##
##subplot (4, 6, 12)
##plot(t, P_ZZMean/1e6, 'linewidth',2,'b-')
##set(gca,'FontSize',14)
##xlabel '\bft';
##ylabel '\bfPZZ-Mean [MPa]';
##grid on
##
##subplot (4, 6, 13)
##plot(t, STRAIN_XXMean, 'linewidth',2,'b-')
##set(gca,'FontSize',14)
##xlabel '\bft';
##ylabel '\bf\epsilonXX-Mean [Pa]';
##grid on
##
##subplot (4, 6, 14)
##plot(t, STRAIN_YYMean, 'linewidth',2,'b-')
##set(gca,'FontSize',14)
##xlabel '\bft';
##ylabel '\bf\epsilonYY-Mean [Pa]';
##grid on
##
##subplot (4, 6, 15)
##plot(t, STRAIN_ZZMean, 'linewidth',2,'b-')
##set(gca,'FontSize',14)
##xlabel '\bft';
##ylabel '\bf\epsilonZZ-Mean [Pa]';
##grid on
##
##subplot (4, 6, 16)
##plot(t, STRAIN_XYMean, 'linewidth',2,'b-')
##set(gca,'FontSize',14)
##xlabel '\bft';
##ylabel '\bf\epsilonXY-Mean [Pa]';
##grid on
##
##subplot (4, 6, 17)
##plot(t, STRAIN_YZMean, 'linewidth',2,'b-')
##set(gca,'FontSize',14)
##xlabel '\bft';
##ylabel '\bf\epsilonYZ-Mean [Pa]';
##grid on
##
##subplot (4, 6, 18)
##plot(t, STRAIN_XZMean, 'linewidth',2,'b-')
##set(gca,'FontSize',14)
##xlabel '\bft';
##ylabel '\bf\epsilonXZ-Mean [Pa]';
##grid on
##
##subplot (4, 6, 19)
##plot(t, SIG_XXMean/1e6, 'linewidth',2,'b-')
##set(gca,'FontSize',14)
##xlabel '\bft';
##ylabel '\bfsigmaXX-Mean [MPa]';
##grid on
##
##subplot (4, 6, 20)
##plot(t, SIG_YYMean/1e6, 'linewidth',2,'b-')
##set(gca,'FontSize',14)
##xlabel '\bft';
##ylabel '\bf\sigmaYY-Mean [MPa]';
##grid on
##
##subplot (4, 6, 21)
##plot(t, SIG_ZZMean/1e6, 'linewidth',2,'b-')
##set(gca,'FontSize',14)
##xlabel '\bft';
##ylabel '\bf\sigmaZZ-Mean [MPa]';
##grid on
##
##subplot (4, 6, 22)
##plot(t, SIG_XYMean/1e6, 'linewidth',2,'b-')
##set(gca,'FontSize',14)
##xlabel '\bft';
##ylabel '\bf\sigmaXY-Mean [MPa]';
##grid on
##
##subplot (4, 6, 23)
##plot(t, SIG_YZMean/1e6, 'linewidth',2,'b-')
##set(gca,'FontSize',14)
##xlabel '\bft';
##ylabel '\bf\sigmaYZ-Mean [MPa]';
##grid on
##
##subplot (4, 6, 24)
##plot(t, SIG_XZMean/1e6, 'linewidth',2,'b-')
##set(gca,'FontSize',14)
##xlabel '\bft';
##ylabel '\bf\sigmaXZ-Mean [MPa]';
##grid on
##
###saveas (10, "10.pdf");


%---problem specific--------------------------------------------------------
figure (20)
subplot (3, 4, 1)
plot(t, T_Mean, 'linewidth',2,'b-')
set(gca,'FontSize',14)
%title ("t & T-Mean");
xlabel '\bft';
ylabel '\bfT-Mean [K]';
grid on

subplot (3, 4, 2)
plot(t, UZ_Pt7/1e3, 'linewidth',2,'b-')
set(gca,'FontSize',14)
xlabel '\bft';
ylabel '\bfUZ-Pt7 [mm]';
grid on

subplot (3, 4, 3)
plot(t, -F1234_Z, 'linewidth',2,'b-')
set(gca,'FontSize',14)
xlabel '\bft';
ylabel '\bf-FZ-Face1234 [N]';
grid on

subplot (3, 4, 5)
plot(t, PLASTICSTRAINMean, 'linewidth',2,'b-')
set(gca,'FontSize',14)
xlabel '\bft';
ylabel '\bfplastic \epsilon-Mean';
grid on

subplot (3, 4, 6)
plot(t, SVM/1e6, 'linewidth',2,'b-')
set(gca,'FontSize',14)
xlabel '\bft';
ylabel '\bfSVM';
grid on

subplot (3, 4, 7)
plot(t, STRAIN_ZZMean, 'linewidth',2,'b-')
set(gca,'FontSize',14)
xlabel '\bft';
ylabel '\bf\epsilonZZ-Mean';
grid on

subplot (3, 4, 8)
plot(t, SIG_ZZMean/1e6, 'linewidth',2,'b-')
set(gca,'FontSize',14)
xlabel '\bft';
ylabel '\bf\sigmaZZ-Mean [MPa]';
grid on

subplot (3, 4, 9)
plot(STRAIN_ZZMean, SIG_ZZMean/1e6, 'linewidth',2,'b-')
set(gca,'FontSize',14)
xlabel '\bf\epsilonZZ-Mean';
ylabel '\bf\sigmaZZ-Mean [MPa]';
grid on

subplot (3, 4, 10)
plot(T_Mean, SIG_ZZMean/1e6, 'linewidth',2,'b-')
set(gca,'FontSize',14)
xlabel '\bfT-Mean [K]';
ylabel '\bf\sigmaZZ-Mean [MPa]';
grid on

subplot (3, 4, 11)
plot(T_Mean, STRAIN_ZZMean, 'linewidth',2,'b-')
set(gca,'FontSize',14)
xlabel '\bfT-Mean [K]';
ylabel '\bf\epsilonZZ-Mean';
grid on

%saveas (20, "figure20.pdf");



%-------------------------------------------------------------------------------
figure (30)
%set(gcf, 'name', 'SMP-F')
subplot (4, 7, 1)
plot(t, FTH_YYMean, 'linewidth',2,'b-')
set(gca,'FontSize',14)
xlabel '\bft';
ylabel '\bf FTH-YY-Mean';
grid on

subplot (4, 7, 2)
plot(t, FF_YYMean, 'linewidth',2,'b-')
set(gca,'FontSize',14)
xlabel '\bft';
ylabel '\bf FF-YY-Mean';
grid on

subplot (4, 7, 3)
plot(t, FPG_YYMean, 'linewidth',2,'b-')
set(gca,'FontSize',14)
xlabel '\bft';
ylabel '\bf FPG-YY-Mean';
grid on

subplot (4, 7, 4)
plot(t, FG_YYMean, 'linewidth',2,'b-')
set(gca,'FontSize',14)
xlabel '\bft';
ylabel '\bf FG-YY-Mean';
grid on

subplot (4, 7, 5)
plot(t, FP_YYMean, 'linewidth',2,'b-')
set(gca,'FontSize',14)
xlabel '\bft';
ylabel '\bf FP-YY-Mean';
grid on

subplot (4, 7, 6)
plot(t, FR_YYMean, 'linewidth',2,'b-')
set(gca,'FontSize',14)
xlabel '\bft';
ylabel '\bf FR-YY-Mean';
grid on

subplot (4, 7, 7)
plot(t, F_YYMean, 'linewidth',2,'b-')
set(gca,'FontSize',14)
xlabel '\bft';
ylabel '\bf F-YY-Mean';
grid on

subplot (4, 7, 8)
plot(t, FTH_ZZMean, 'linewidth',2,'b-')
set(gca,'FontSize',14)
xlabel '\bft';
ylabel '\bf FTH-ZZ-Mean';
grid on

subplot (4, 7, 9)
plot(t, FF_ZZMean, 'linewidth',2,'b-')
set(gca,'FontSize',14)
xlabel '\bft';
ylabel '\bf FF-ZZ-Mean';
grid on

subplot (4, 7, 10)
plot(t, FPG_ZZMean, 'linewidth',2,'b-')
set(gca,'FontSize',14)
xlabel '\bft';
ylabel '\bf FPG-ZZ-Mean';
grid on

subplot (4, 7, 11)
plot(t, FG_ZZMean, 'linewidth',2,'b-')
set(gca,'FontSize',14)
xlabel '\bft';
ylabel '\bf FG-ZZ-Mean';
grid on

subplot (4, 7, 12)
plot(t, FP_ZZMean, 'linewidth',2,'b-')
set(gca,'FontSize',14)
xlabel '\bft';
ylabel '\bf FP-ZZ-Mean';
grid on

subplot (4, 7, 13)
plot(t, FR_ZZMean, 'linewidth',2,'b-')
set(gca,'FontSize',14)
xlabel '\bft';
ylabel '\bf FR-ZZ-Mean';
grid on

subplot (4, 7, 14)
plot(t, F_ZZMean, 'linewidth',2,'b-')
set(gca,'FontSize',14)
xlabel '\bft';
ylabel '\bf F-ZZ-Mean';
grid on



subplot (4, 7, 15)
plot(t, FTH_YYMean, 'linewidth',2,'r-',   t, FF_YYMean, 'linewidth',2,'g-',  t, FPG_YYMean, 'linewidth',2,'m-',...
     t, FG_YYMean, 'linewidth',2,'k-',    t, FGYY_FEGYYMean, 'linewidth',2,'b--',...
     t, F_YYMean, 'linewidth',3,'b-');
##h = legend ({"FTH-YY", "FF-YY", "FPG-YY", "FG-YY", "FG/FEG-YY", "F-YY"},...
##         "location", "southoutside", "orientation", "horizontal");
##set(h,'FontSize',10)
set(gca,'FontSize',14)
xlabel '\bft';
ylabel '\bf F()G-YY';
grid on

subplot (4, 7, 16)
plot(t, FTH_YYMean, 'linewidth',2,'r-',   t, FP_YYMean, 'linewidth',2,'m-', t, FR_YYMean, 'linewidth',2,'k-',...
     t, FRYY_FERYYMean, 'linewidth',2,'b--',    t, F_YYMean, 'linewidth',3,'b-');
set(gca,'FontSize',14)
xlabel '\bft';
ylabel '\bf F()R-YY';
grid on

subplot (4, 7, 17)
plot(t, FTH_ZZMean, 'linewidth',2,'r-',   t, FF_ZZMean, 'linewidth',2,'g-',  t, FPG_ZZMean, 'linewidth',2,'m-',...
     t, FG_ZZMean, 'linewidth',2,'k-',    t, FGZZ_FEGZZMean, 'linewidth',2,'b--',...
     t, F_ZZMean, 'linewidth',3,'b-');
set(gca,'FontSize',14)
xlabel '\bft';
ylabel '\bf F()G-ZZ';
grid on

subplot (4, 7, 18)
plot(t, FTH_ZZMean, 'linewidth',2,'r-',   t, FP_ZZMean, 'linewidth',2,'m-', t, FR_ZZMean, 'linewidth',2,'k-',...
     t, FRZZ_FERZZMean, 'linewidth',2,'b--',    t, F_ZZMean, 'linewidth',3,'b-');
set(gca,'FontSize',14)
xlabel '\bft';
ylabel '\bf F()R-ZZ';
grid on

subplot (4, 7, 22)
plot(t, ZGMean, 'linewidth',2,'b-')
set(gca,'FontSize',14)
xlabel '\bft';
ylabel '\bf ZGMean';
grid on

subplot (4, 7, 23)
plot(t, TIGMean, 'linewidth',2,'b-')
set(gca,'FontSize',14)
xlabel '\bft';
ylabel '\bf TIGMean';
grid on

subplot (4, 7, 24)
plot(t, TIRMean, 'linewidth',2,'b-')
set(gca,'FontSize',14)
xlabel '\bft';
ylabel '\bf TIRMean';
grid on

subplot (4, 7, 25)
plot(t, TTMean, 'linewidth',2,'b-')
set(gca,'FontSize',14)
xlabel '\bft';
ylabel '\bf TTMean';
grid on

subplot (4, 7, 26)
plot(t, DetF, 'linewidth',2,'b-')
set(gca,'FontSize',14)
xlabel '\bft';
ylabel '\bf DetF';
grid on

subplot (4, 7, 27)
plot(t, Area, 'linewidth',2,'b-')
set(gca,'FontSize',14)
xlabel '\bft';
ylabel '\bf area';
grid on

%saveas (30, "SMP-F.pdf");
