//
//
// Description: create pbcElement in PBC problems
//
// Author:  <Van Dung NGUYEN>, (C) 2015
//
// Copyright: See COPYING file that comes with this distribution
//
//

#include "pbcVertex.h"
#include "partDomain.h"


pbcVertex::pbcVertex(partDomain* dompart, MElement* ele, MVertex* vv):
      _dom(dompart),_e(ele),_v(vv){};


void pbcVertex::getKeys(std::vector<int>& comp, std::vector<Dof>& keys) const{
  getDomain()->getFunctionSpace()->getKeysOnVertex(getElement(),getVertex(),comp,keys);
};
