//Fiber reinforced composite cross-section
Geometry.AutoCoherence= 0;
//defination of unit
unit = 1e-03;
//characteristic mesh size
cl = 0.5*unit;
h_x = 20.000000 * unit;
h_y = 30.000000 * unit;
h_z = 1.000000 * unit;
//defination of fibers line Loop list in zone 0
t=-1;
p1 = newp; Point(p1) = { 15.684075 *unit, 17.668708 *unit, 0.0, cl};
p2 = newp; Point(p2) = { 12.713644 *unit, 17.668708 *unit, 0.0, cl};
p3 = newp; Point(p3) = { 15.684075 *unit, 14.698278 *unit, 0.0, cl};
p4 = newp; Point(p4) = { 18.654505 *unit, 17.668708 *unit, 0.0, cl};
p5 = newp; Point(p5) = { 15.684075 *unit, 20.639139 *unit, 0.0, cl};
c1 = newreg; Circle(c1) = {p2,p1,p3};
c2 = newreg; Circle(c2) = {p3,p1,p4};
c3 = newreg; Circle(c3) = {p4,p1,p5};
c4 = newreg; Circle(c4) = {p5,p1,p2};
t=t+1;
theloop[t] = newreg; Line Loop(theloop[t]) = {c1,c2,c3,c4};
thesurface[t] = news;
Plane Surface(thesurface[t]) = {theloop[t]};
p1 = newp; Point(p1) = { 8.993635 *unit, 19.410482 *unit, 0.0, cl};
p2 = newp; Point(p2) = { 6.017793 *unit, 19.410482 *unit, 0.0, cl};
p3 = newp; Point(p3) = { 8.993635 *unit, 16.434641 *unit, 0.0, cl};
p4 = newp; Point(p4) = { 11.969477 *unit, 19.410482 *unit, 0.0, cl};
p5 = newp; Point(p5) = { 8.993635 *unit, 22.386324 *unit, 0.0, cl};
c1 = newreg; Circle(c1) = {p2,p1,p3};
c2 = newreg; Circle(c2) = {p3,p1,p4};
c3 = newreg; Circle(c3) = {p4,p1,p5};
c4 = newreg; Circle(c4) = {p5,p1,p2};
t=t+1;
theloop[t] = newreg; Line Loop(theloop[t]) = {c1,c2,c3,c4};
thesurface[t] = news;
Plane Surface(thesurface[t]) = {theloop[t]};
p1 = newp; Point(p1) = { 9.591857 *unit, 12.944421 *unit, 0.0, cl};
p2 = newp; Point(p2) = { 6.568344 *unit, 12.944421 *unit, 0.0, cl};
p3 = newp; Point(p3) = { 9.591857 *unit, 9.920909 *unit, 0.0, cl};
p4 = newp; Point(p4) = { 12.615369 *unit, 12.944421 *unit, 0.0, cl};
p5 = newp; Point(p5) = { 9.591857 *unit, 15.967934 *unit, 0.0, cl};
c1 = newreg; Circle(c1) = {p2,p1,p3};
c2 = newreg; Circle(c2) = {p3,p1,p4};
c3 = newreg; Circle(c3) = {p4,p1,p5};
c4 = newreg; Circle(c4) = {p5,p1,p2};
t=t+1;
theloop[t] = newreg; Line Loop(theloop[t]) = {c1,c2,c3,c4};
thesurface[t] = news;
Plane Surface(thesurface[t]) = {theloop[t]};
p1 = newp; Point(p1) = { 8.656144 *unit, 26.762726 *unit, 0.0, cl};
p2 = newp; Point(p2) = { 5.544186 *unit, 26.762726 *unit, 0.0, cl};
p3 = newp; Point(p3) = { 8.656144 *unit, 23.650768 *unit, 0.0, cl};
p4 = newp; Point(p4) = { 11.768102 *unit, 26.762726 *unit, 0.0, cl};
p5 = newp; Point(p5) = { 8.656144 *unit, 29.874684 *unit, 0.0, cl};
c1 = newreg; Circle(c1) = {p2,p1,p3};
c2 = newreg; Circle(c2) = {p3,p1,p4};
c3 = newreg; Circle(c3) = {p4,p1,p5};
c4 = newreg; Circle(c4) = {p5,p1,p2};
t=t+1;
theloop[t] = newreg; Line Loop(theloop[t]) = {c1,c2,c3,c4};
thesurface[t] = news;
Plane Surface(thesurface[t]) = {theloop[t]};
p1 = newp; Point(p1) = { 3.260879 *unit, 12.278636 *unit, 0.0, cl};
p2 = newp; Point(p2) = { 0.042639 *unit, 12.278636 *unit, 0.0, cl};
p3 = newp; Point(p3) = { 3.260879 *unit, 9.060396 *unit, 0.0, cl};
p4 = newp; Point(p4) = { 6.479119 *unit, 12.278636 *unit, 0.0, cl};
p5 = newp; Point(p5) = { 3.260879 *unit, 15.496876 *unit, 0.0, cl};
c1 = newreg; Circle(c1) = {p2,p1,p3};
c2 = newreg; Circle(c2) = {p3,p1,p4};
c3 = newreg; Circle(c3) = {p4,p1,p5};
c4 = newreg; Circle(c4) = {p5,p1,p2};
t=t+1;
theloop[t] = newreg; Line Loop(theloop[t]) = {c1,c2,c3,c4};
thesurface[t] = news;
Plane Surface(thesurface[t]) = {theloop[t]};
p1 = newp; Point(p1) = { 3.281023 *unit, 23.754142 *unit, 0.0, cl};
p2 = newp; Point(p2) = { 0.357288 *unit, 23.754142 *unit, 0.0, cl};
p3 = newp; Point(p3) = { 3.281023 *unit, 20.830407 *unit, 0.0, cl};
p4 = newp; Point(p4) = { 6.204757 *unit, 23.754142 *unit, 0.0, cl};
p5 = newp; Point(p5) = { 3.281023 *unit, 26.677876 *unit, 0.0, cl};
c1 = newreg; Circle(c1) = {p2,p1,p3};
c2 = newreg; Circle(c2) = {p3,p1,p4};
c3 = newreg; Circle(c3) = {p4,p1,p5};
c4 = newreg; Circle(c4) = {p5,p1,p2};
t=t+1;
theloop[t] = newreg; Line Loop(theloop[t]) = {c1,c2,c3,c4};
thesurface[t] = news;
Plane Surface(thesurface[t]) = {theloop[t]};
//defination of edge points and line
t=-1;
lt=-1;
mt=-1;
BoundXt0=-1;
BoundXt1=-1;
BoundYt0=-1;
BoundYt1=-1;
p0 = newp; Point(p0) = { 0.0 , 0.0 , 0.0 , cl}; 
mat_conP = p0;
mat_endP = p0;
p1 = newp; Point(p1) = { 8.734451 *unit, -1.339618 *unit, 0.0, cl};
p2 = newp; Point(p2) = { 6.077033 *unit, 0.000000 *unit, 0.0, cl};
p3 = newp; Point(p3) = { 11.391869 *unit, 0.000000 *unit, 0.0, cl};
p4 = newp; Point(p4) = { 8.734451 *unit, 1.636361 *unit, 0.0, cl};
c1 = newreg; Circle(c1) = {p3,p1,p4};
c2 = newreg; Circle(c2) = {p4,p1,p2};
l1 = newreg; Line(l1) = {p2,p3};
t=t+1;
edgloop[t] = newreg; Line Loop(edgloop[t]) = {l1,c1,c2};
edgsurface[t] = news;
Plane Surface(edgsurface[t]) = {edgloop[t]};
l2 = newreg; Line(l2) = {mat_conP,p2};
lt=lt+1;
mat_edge[lt] =  l2;
lt=lt+1;
mat_edge[lt] =  -1*c2;
lt=lt+1;
mat_edge[lt] =  -1*c1;
mat_conP = p3;
BoundYt0 = BoundYt0+1;
Bound_Y0edge[BoundYt0] =  l2;
BoundYt0 = BoundYt0+1;
Bound_Y0edge[BoundYt0] =  l1;
p0 = newp; Point(p0) = { h_x , 0.0 , 0.0 , cl}; 
p1 = newp; Point(p1) = { 19.171485 *unit, -0.737906 *unit, 0.0, cl};
p2 = newp; Point(p2) = { 20.000000 *unit, 1.898162 *unit, 0.0, cl};
p3 = newp; Point(p3) = { 16.508632 *unit, 0.000000 *unit, 0.0, cl};
c1 = newreg; Circle(c1) = {p2,p1,p3};
l1 = newreg; Line(l1) = {p3,p0};
l2 = newreg; Line(l2) = {p0,p2};
t=t+1;
edgloop[t] = newreg; Line Loop(edgloop[t]) = {l1,l2,c1};
edgsurface[t] = news;
Plane Surface(edgsurface[t]) = {edgloop[t]};
l3 = newreg; Line(l3) = {mat_conP,p3};
lt=lt+1;
mat_edge[lt] =  l3;
lt=lt+1;
mat_edge[lt] =  -1*c1;
mat_conP = p2;
BoundYt0 = BoundYt0+1;
Bound_Y0edge[BoundYt0] =  l3;
BoundYt0 = BoundYt0+1;
Bound_Y0edge[BoundYt0] =  l1;
BoundXt1 = BoundXt1+1;
Bound_X1edge[BoundXt1] =  l2;
p1 = newp; Point(p1) = { 22.371419 *unit, 16.976074 *unit, 0.0, cl};
p2 = newp; Point(p2) = { 20.000000 *unit, 15.365555 *unit, 0.0, cl};
p3 = newp; Point(p3) = { 20.000000 *unit, 18.586594 *unit, 0.0, cl};
p4 = newp; Point(p4) = { 19.504818 *unit, 16.976074 *unit, 0.0, cl};
c1 = newreg; Circle(c1) = {p3,p1,p4};
c2 = newreg; Circle(c2) = {p4,p1,p2};
l1 = newreg; Line(l1) = {p2,p3};
t=t+1;
edgloop[t] = newreg; Line Loop(edgloop[t]) = {l1,c1,c2};
edgsurface[t] = news;
Plane Surface(edgsurface[t]) = {edgloop[t]};
l2 = newreg; Line(l2) = {mat_conP,p2};
lt=lt+1;
mat_edge[lt] =  l2;
lt=lt+1;
mat_edge[lt] =  -1*c2;
lt=lt+1;
mat_edge[lt] =  -1*c1;
mat_conP = p3;
BoundXt1 = BoundXt1+1;
Bound_X1edge[BoundXt1] =  l2;
BoundXt1 = BoundXt1+1;
Bound_X1edge[BoundXt1] =  l1;
p1 = newp; Point(p1) = { 18.561830 *unit, 23.608087 *unit, 0.0, cl};
p2 = newp; Point(p2) = { 20.000000 *unit, 21.142314 *unit, 0.0, cl};
p3 = newp; Point(p3) = { 20.000000 *unit, 26.073860 *unit, 0.0, cl};
p4 = newp; Point(p4) = { 15.707295 *unit, 23.608087 *unit, 0.0, cl};
c1 = newreg; Circle(c1) = {p3,p1,p4};
c2 = newreg; Circle(c2) = {p4,p1,p2};
l1 = newreg; Line(l1) = {p2,p3};
t=t+1;
edgloop[t] = newreg; Line Loop(edgloop[t]) = {l1,c1,c2};
edgsurface[t] = news;
Plane Surface(edgsurface[t]) = {edgloop[t]};
l2 = newreg; Line(l2) = {mat_conP,p2};
lt=lt+1;
mat_edge[lt] =  l2;
lt=lt+1;
mat_edge[lt] =  -1*c2;
lt=lt+1;
mat_edge[lt] =  -1*c1;
mat_conP = p3;
BoundXt1 = BoundXt1+1;
Bound_X1edge[BoundXt1] =  l2;
BoundXt1 = BoundXt1+1;
Bound_X1edge[BoundXt1] =  l1;
p0 = newp; Point(p0) = { h_x , h_y , 0.0 , cl}; 
l1 = newreg; Line(l1) = {mat_conP,p0};
lt=lt+1;
mat_edge[lt] = l1;
mat_conP = p0;
BoundXt1 = BoundXt1+1;
Bound_X1edge[BoundXt1] =  l1;
p1 = newp; Point(p1) = { 3.849772 *unit, 31.228872 *unit, 0.0, cl};
p2 = newp; Point(p2) = { 1.208645 *unit, 30.000000 *unit, 0.0, cl};
p3 = newp; Point(p3) = { 6.490899 *unit, 30.000000 *unit, 0.0, cl};
p4 = newp; Point(p4) = { 3.849772 *unit, 28.315853 *unit, 0.0, cl};
c1 = newreg; Circle(c1) = {p2,p1,p4};
c2 = newreg; Circle(c2) = {p4,p1,p3};
l1 = newreg; Line(l1) = {p3,p2};
t=t+1;
edgloop[t] = newreg; Line Loop(edgloop[t]) = {l1,c1,c2};
edgsurface[t] = news;
Plane Surface(edgsurface[t]) = {edgloop[t]};
l2 = newreg; Line(l2) = {mat_conP,p3};
lt=lt+1;
mat_edge[lt] = l2;
lt=lt+1;
mat_edge[lt] = -1*c2;
lt=lt+1;
mat_edge[lt] = -1*c1;
mat_conP = p2;
BoundYt1 = BoundYt1+1;
Bound_Y1edge[BoundYt1] =  l2;
BoundYt1 = BoundYt1+1;
Bound_Y1edge[BoundYt1] =  l1;
p0 = newp; Point(p0) = { 0.0 , h_y , 0.0 , cl}; 
l1 = newreg; Line(l1) = {mat_conP,p0};
lt=lt+1;
mat_edge[lt] = l1;
mat_conP = p0;
BoundYt1 = BoundYt1+1;
Bound_Y1edge[BoundYt1] =  l1;
p1 = newp; Point(p1) = { -1.492077 *unit, 17.022683 *unit, 0.0, cl};
p2 = newp; Point(p2) = { 0.000000 *unit, 19.687649 *unit, 0.0, cl};
p3 = newp; Point(p3) = { 0.000000 *unit, 14.357718 *unit, 0.0, cl};
p4 = newp; Point(p4) = { 1.562156 *unit, 17.022683 *unit, 0.0, cl};
c1 = newreg; Circle(c1) = {p3,p1,p4};
c2 = newreg; Circle(c2) = {p4,p1,p2};
l1 = newreg; Line(l1) = {p2,p3};
t=t+1;
edgloop[t] = newreg; Line Loop(edgloop[t]) = {l1,c1,c2};
edgsurface[t] = news;
Plane Surface(edgsurface[t]) = {edgloop[t]};
l2 = newreg; Line(l2) = {mat_conP,p2};
lt=lt+1;
mat_edge[lt] =  l2;
lt=lt+1;
mat_edge[lt] =  -1*c2;
lt=lt+1;
mat_edge[lt] =  -1*c1;
mat_conP = p3;
BoundXt0 = BoundXt0+1;
Bound_X0edge[BoundXt0] =  l2;
BoundXt0 = BoundXt0+1;
Bound_X0edge[BoundXt0] =  l1;
p1 = newp; Point(p1) = { 0.679335 *unit, 6.754215 *unit, 0.0, cl};
p2 = newp; Point(p2) = { 0.000000 *unit, 9.519822 *unit, 0.0, cl};
p3 = newp; Point(p3) = { 0.000000 *unit, 3.988609 *unit, 0.0, cl};
p4 = newp; Point(p4) = { 3.527154 *unit, 6.754215 *unit, 0.0, cl};
c1 = newreg; Circle(c1) = {p3,p1,p4};
c2 = newreg; Circle(c2) = {p4,p1,p2};
l1 = newreg; Line(l1) = {p2,p3};
t=t+1;
edgloop[t] = newreg; Line Loop(edgloop[t]) = {l1,c1,c2};
edgsurface[t] = news;
Plane Surface(edgsurface[t]) = {edgloop[t]};
l2 = newreg; Line(l2) = {mat_conP,p2};
lt=lt+1;
mat_edge[lt] =  l2;
lt=lt+1;
mat_edge[lt] =  -1*c2;
lt=lt+1;
mat_edge[lt] =  -1*c1;
mat_conP = p3;
BoundXt0 = BoundXt0+1;
Bound_X0edge[BoundXt0] =  l2;
BoundXt0 = BoundXt0+1;
Bound_X0edge[BoundXt0] =  l1;
l1 = newreg; Line(l1) = {mat_conP,mat_endP};
BoundXt0 = BoundXt0+1;
Bound_X0edge[BoundXt0] =  l1;
lt=lt+1;
mat_edge[lt] = l1;
lineloop_matix = newreg;
Line Loop(lineloop_matix) = {mat_edge[]};
MaS=news;
Plane Surface(MaS) = {lineloop_matix,theloop[]};
Physical Surface(11) = {MaS};
Physical Surface(12) = {thesurface[],edgsurface[]};

Physical Line(1) = {Bound_Y0edge[]};
Physical Line(2) = {Bound_X1edge[]};
Physical Line(3) = {Bound_Y1edge[]};
Physical Line(4) = {Bound_X0edge[]};

p1 = newp; Point(p1) = {0.0, 0.0, 0.0, cl};
p3 = newp; Point(p3) = {h_x, 0.0, 0.0, cl};
p5 = newp; Point(p5) = {h_x, h_y, 0.0, cl};
p7 = newp; Point(p7) = {0.0, h_y, 0.0, cl};
Physical Point(1)= {p1};
Physical Point(2)= {p3};
Physical Point(3)= {p5};
Physical Point(4)= {p7};
Coherence;
//+
Translate {0, -2e-3, 0} {
  Surface{79}; 
}
//+
Translate {2e-3, -2e-3, 0} {
  Surface{18}; 
}
//+
Translate {1e-3, 0, 0} {
  Surface{30}; 
}
//+
Translate {5e-4, -5e-4, 0} {
  Surface{24}; 
}
